"""updated to three days

Revision ID: f6fa2ef261f3
Revises: 31ebbaf5b024
Create Date: 2025-03-03 10:09:17.287209

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'f6fa2ef261f3'
down_revision = '31ebbaf5b024'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('booth_options', sa.Column('day_three_spots', sa.Integer(), nullable=True))
    op.add_column(
        'booth_options',
        sa.Column('price_three_days_large', sa.Numeric(precision=10, scale=2), nullable=True),
        )
    op.add_column(
        'booth_options',
        sa.Column('price_three_days_small', sa.Numeric(precision=10, scale=2), nullable=True),
        )
    op.add_column('companies', sa.Column('billing_email_address', sa.String(length=100), nullable=True))
    op.add_column('companies', sa.Column('secondary_email_address', sa.String(length=100), nullable=True))
    op.alter_column('fairs', "date_one", nullable=True, new_column_name='date_start', existing_type=sa.DATE())
    op.alter_column('fairs', "date_two", nullable=True, new_column_name='date_end', existing_type=sa.DATE())
    op.add_column('fairs', sa.Column('number_of_days', sa.Integer(), nullable=False))
    op.add_column('package_options', sa.Column('multiple', sa.Boolean(), nullable=False))
    op.add_column('packages_booked', sa.Column('price_multiple', sa.Integer(), nullable=False))
    op.add_column('packages_booked', sa.Column('count', sa.Integer(), nullable=False))
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column('packages_booked', 'count')
    op.drop_column('packages_booked', 'price_multiple')
    op.drop_column('package_options', 'multiple')
    op.drop_column('fairs', 'number_of_days')
    op.alter_column('fairs', "date_end", nullable=False, new_column_name='date_two', existing_type=sa.DATE())
    op.alter_column('fairs', "date_start", nullable=False, new_column_name='date_one', existing_type=sa.DATE())
    op.drop_column('companies', 'secondary_email_address')
    op.drop_column('companies', 'billing_email_address')
    op.drop_column('booth_options', 'price_three_days_small')
    op.drop_column('booth_options', 'price_three_days_large')
    op.drop_column('booth_options', 'day_three_spots')
    # ### end Alembic commands ###
